package com.xintong.visualinspection.service;

import java.util.List;
import java.util.Map;

import com.xintong.visualinspection.bean.Constant;
import com.xintong.visualinspection.bean.Score;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface ScoreService {
	public List<Score> getAll();
    public Score getOne(Long id);
    public List<Score> getScoreList(Score score);
    public List<Score> getScoreListByTaskId(Long task_id);
    public void insert(Score score);
    public void update(Score score);
    public void updateByTaskIdAndPerson(Score score);
    public void delete(Long id);
    public List<Score> getTopRemarkList(Map<String,Object> param);
    public void backoutScore(Score score);
}
